export class Player {
    id;
    name;
    position;
    cards;
    points;
    isAdmin;
    constructor(id, name, position, cards = [], points = 0, isAdmin = false) {
        this.id = id;
        this.name = name;
        this.position = position;
        this.cards = cards;
        this.points = points;
        this.isAdmin = isAdmin;
    }
    addCards(cards) {
        if (Array.isArray(cards)) {
            this.cards.push(...cards);
        }
        else {
            this.cards.push(cards);
        }
    }
    removeCard(index) {
        return this.cards.splice(index, 1)[0];
    }
    getCards() {
        return [...this.cards];
    }
    calculatePoints() {
        return this.cards.reduce((sum, card) => sum + card.getPoints(), 0);
    }
    hasPlayableCard(currentCard) {
        return this.cards.some((card) => card.matches(currentCard));
    }
}
//# sourceMappingURL=Player.js.map